package edu.uoc.baserrikoa.model;

import com.orm.SugarRecord;

import java.util.List;

/**
 * Helper class for providing sample content for user interfaces created by
 * Android template wizards.
 */
public class DescuentoContent {

    public static List<DescuentoItem> getDescuentos(){
        return DescuentoItem.listAll(DescuentoItem.class);
    }

    public static boolean exists(DescuentoItem descuentoItem) {
        List<DescuentoItem> descuentoItem1 = DescuentoItem.find(DescuentoItem.class, "id = ?", descuentoItem.id);
        if (descuentoItem1 == null || descuentoItem1.size() == 0) {
            return false;
        } else {
            return true;
        }
    }

    public static DescuentoItem getItemWithDescuentoID(String id) {
        List<DescuentoItem> descuentoItem1 = DescuentoItem.find(DescuentoItem.class, "id = ?", id);
        if (descuentoItem1 == null || descuentoItem1.size() == 0) {
            return new DescuentoItem();
        } else {
            return descuentoItem1.get(0);
        }
    }


    /**
     * A product item representing a product in the market.
     */
    public static class DescuentoItem extends SugarRecord {
        public String id;
        public String idProducto;
        public String nombre;
        public String imagen;
        public String cantidad;
        public String validez;
        public String para;

        public DescuentoItem() {

        }

        public DescuentoItem(String id, String nombre, String imagen, String para, String idProducto, String cantidad, String validez) {
            this.id = id;
            this.nombre = nombre;
            this.imagen = imagen;
            this.idProducto = idProducto;
            this.cantidad = cantidad;
            this.validez = validez;
            this.para = para;
        }

        @Override
        public String toString() {
            return nombre;
        }

        public String getNombre() {
            return nombre;
        }

        public void setNombre(String nombre) {
            this.nombre = nombre;
        }

        public String getImagen() {
            return imagen;
        }

        public void setImagen(String imagen) {
            this.imagen = imagen;
        }

    }
}
