package edu.uoc.baserrikoa.model;

import com.orm.SugarRecord;

import java.util.List;

/**
 * Helper class for providing sample content for user interfaces created by
 * Android template wizards.
 */
public class ProductosCompraContent {

    public static List<ProductosCompraItem> getProductosCompras(){
        return ProductosCompraItem.listAll(ProductosCompraItem.class);
    }

    public static boolean exists(ProductosCompraItem productosProductosCompraItem) {
        List<ProductosCompraItem> productosProductosCompraItem1 = ProductosCompraItem.find(ProductosCompraItem.class, "idproducto = ?", productosProductosCompraItem.idproducto);
        if (productosProductosCompraItem1 == null || productosProductosCompraItem1.size() == 0) {
            return false;
        } else {
            return true;
        }
    }

    public static ProductosCompraItem getItemWithProductosCompraID(String id) {
        List<ProductosCompraItem> productosProductosCompraItem1 = ProductosCompraItem.find(ProductosCompraItem.class, "idproducto = ?", id);
        if (productosProductosCompraItem1 == null || productosProductosCompraItem1.size() == 0) {
            return new ProductosCompraItem();
        } else {
            return productosProductosCompraItem1.get(0);
        }
    }

    /**
     * A product item representing a product in the market.
     */
    public static class ProductosCompraItem extends SugarRecord {
        public String idproducto;
        public String nombre;
        public String coste;
        public String cantidad;

        public ProductosCompraItem() {

        }

        public ProductosCompraItem(String idproducto, String nombre, String coste, String cantidad) {
            this.idproducto = idproducto;
            this.nombre = nombre;
            this.coste = coste;
            this.cantidad = cantidad;
        }

        @Override
        public String toString() {
            return idproducto;
        }
    }
}
