package edu.uoc.baserrikoa.Control.ofertas;

import android.os.Bundle;
import android.support.v7.app.ActionBar;
import android.support.v7.widget.Toolbar;

import edu.uoc.baserrikoa.Control.MenuManagementActivity;
import edu.uoc.baserrikoa.R;

/**
 * Esta actividad representa el detalle de un sólo descuento.
 */
public class DescuentoDetailActivity extends MenuManagementActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_descuento_detail);
        Toolbar toolbar = (Toolbar) findViewById(R.id.detail_toolbar);
        setSupportActionBar(toolbar);


        // Show the Up button in the action bar.
        ActionBar actionBar = getSupportActionBar();
        if (actionBar != null) {
            actionBar.setDisplayHomeAsUpEnabled(true);
        }

        if (savedInstanceState == null) {
            // Create the detail fragment and add it to the activity
            // using a fragment transaction.
            Bundle arguments = new Bundle();
            arguments.putInt(DescuentoDetailFragment.ARG_ITEM_ID,
                    getIntent().getIntExtra(DescuentoDetailFragment.ARG_ITEM_ID, 0));
            DescuentoDetailFragment fragment = new DescuentoDetailFragment();
            fragment.setArguments(arguments);
            getSupportFragmentManager().beginTransaction()
                    .add(R.id.descuento_detail_container, fragment)
                    .commit();
        }
    }

}
