package edu.uoc.baserrikoa.model;

import com.orm.SugarRecord;

import java.util.List;

/**
 * Helper class for providing sample content for user interfaces created by
 * Android template wizards.
 */
public class CompraContent {

    public static List<CompraItem> getCompras(){
        return CompraItem.listAll(CompraItem.class);
    }

    public static boolean exists(CompraItem compraItem) {
        List<CompraItem> compraItem1 = CompraItem.find(CompraItem.class, "idcompra = ?", compraItem.idcompra);
        if (compraItem1 == null || compraItem1.size() == 0) {
            return false;
        } else {
            return true;
        }
    }

    public static CompraItem getItemWithCompraID(String id) {
        List<CompraItem> compraItem1 = CompraItem.find(CompraItem.class, "idcompra = ?", id);
        if (compraItem1 == null || compraItem1.size() == 0) {
            return new CompraItem();
        } else {
            return compraItem1.get(0);
        }
    }


    /**
     * A product item representing a product in the market.
     */
    public static class CompraItem extends SugarRecord {
        public String idcompra;
        public String fecha;
        public String coste;

        public CompraItem() {

        }

        public CompraItem(String idCompra, String fecha, String coste) {
            this.idcompra = idCompra;
            this.fecha = fecha;
            this.coste = coste;
        }

        @Override
        public String toString() {
            return idcompra;
        }
    }
}
