package edu.uoc.baserrikoa.model;

import com.orm.SugarRecord;

import java.util.List;

/**
 * Helper class for providing sample content for user interfaces created by
 * Android template wizards.
 */
public class VendedorContent{

    public static List<VendedorItem> getVendedores(){
        return VendedorItem.listAll(VendedorItem.class);
    }

    public static boolean exists(VendedorItem vendedorItem) {
        List<VendedorItem> vendedorItem1 = VendedorItem.find(VendedorItem.class, "idvendedor = ?", vendedorItem.idvendedor);
        if (vendedorItem1 == null || vendedorItem1.size() == 0) {
            return false;
        } else {
            return true;
        }
    }


    /**
     * A product item representing a product in the market.
     */
    public static class VendedorItem extends SugarRecord {
        public String idvendedor;
        public String nombre;
        public String imagen;
        public String localidad;
        public String descripcion;

        public VendedorItem() {

        }

        public VendedorItem(String idvendedor, String nombre, String imagen, String localidad, String descripcion) {
            this.idvendedor = idvendedor;
            this.nombre = nombre;
            this.imagen = imagen;
            this.localidad = localidad;
            this.descripcion = descripcion;
        }

        @Override
        public String toString() {
            return nombre;
        }

        public String getNombre() {
            return nombre;
        }

        public void setNombre(String nombre) {
            this.nombre = nombre;
        }

        public String getImagen() {
            return imagen;
        }

        public void setImagen(String imagen) {
            this.imagen = imagen;
        }

        public String getLocalidad() {
            return localidad;
        }

        public void setLocalidad(String localidad) {
            this.localidad = localidad;
        }

        public String getDescripcion() {
            return descripcion;
        }

        public void setDescripcion(String descripcion) {
            this.descripcion = descripcion;
        }
    }
}
